DFSClient.DFSDataInputStream (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs, class: DFSClient, class: DFSDataInputStream

Package org.apache.hadoop.hdfs

# Class DFSClient.DFSDataInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
java.io.DataInputStream
org.apache.hadoop.fs.FSDataInputStream
org.apache.hadoop.hdfs.client.HdfsDataInputStream
org.apache.hadoop.hdfs.DFSClient.DFSDataInputStream

All Implemented Interfaces:
  `Closeable`, `DataInput`, `AutoCloseable`, `org.apache.hadoop.fs.ByteBufferPositionedReadable`, `org.apache.hadoop.fs.ByteBufferReadable`, `org.apache.hadoop.fs.CanSetDropBehind`, `org.apache.hadoop.fs.CanSetReadahead`, `org.apache.hadoop.fs.CanUnbuffer`, `org.apache.hadoop.fs.HasEnhancedByteBufferAccess`, `org.apache.hadoop.fs.HasFileDescriptor`, `org.apache.hadoop.fs.PositionedReadable`, `org.apache.hadoop.fs.Seekable`, `org.apache.hadoop.fs.statistics.IOStatisticsSource`, `org.apache.hadoop.fs.StreamCapabilities`

Enclosing class:
  DFSClient

@Deprecated public static class DFSClient.DFSDataInputStream extends HdfsDataInputStream
Deprecated.
use `HdfsDataInputStream` instead.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.fs.StreamCapabilities

  `org.apache.hadoop.fs.StreamCapabilities.StreamCapability`

- ## Field Summary

  ### Fields inherited from class java.io.FilterInputStream

  `in`

  ### Fields inherited from interface org.apache.hadoop.fs.StreamCapabilities

  `ABORTABLE_STREAM, DROPBEHIND, HFLUSH, HSYNC, IOSTATISTICS, IOSTATISTICS_CONTEXT, PREADBYTEBUFFER, READAHEAD, READBYTEBUFFER, UNBUFFER, VECTOREDIO, VECTOREDIO_BUFFERS_SLICED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DFSDataInputStream(DFSInputStream in)`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.hdfs.client.HdfsDataInputStream

  `clearReadStatistics, getAllBlocks, getCurrentBlock, getCurrentDatanode, getReadStatistics, getVisibleLength, getWrappedStream`

  ### Methods inherited from class org.apache.hadoop.fs.FSDataInputStream

  `getFileDescriptor, getIOStatistics, getPos, hasCapability, maxReadSizeForVectorReads, minSeekForVectorReads, read, read, read, read, read, readFully, readFully, readFully, readVectored, readVectored, releaseBuffer, seek, seekToNewSource, setDropBehind, setReadahead, toString, unbuffer`

  ### Methods inherited from class java.io.DataInputStream

  `read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

  ### Methods inherited from class java.io.FilterInputStream

  `available, close, mark, markSupported, read, reset, skip`

  ### Methods inherited from class java.io.InputStream

  `nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DFSDataInputStream

    public DFSDataInputStream(DFSInputStream in) throws IOException
    Deprecated.
    Throws:
      `IOException`